# $Revision: 1.3 $, $Date: 2006/10/24 20:53:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	chdir
Summary:	File::chdir - a more sensible way to change directories
Summary(pl):	File::chdir - rozsdniejszy sposb zmiany katalogw
Name:		perl-File-chdir
Version:	0.06
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	41a4661789f6de97fb632e4560d37864
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::chdir module - a more sensible way to change directories.

Perl's chdir() has the unfortunate problem of being very, very, very
global. If any part of your program calls chdir() or if any library
you use calls chdir(), it changes the current working directory for
the whole program.

File::chdir gives you an alternative, $CWD and @CWD. These two
variables combine all the power of chdir(), File::Spec and Cwd.

%description -l pl
Modu File::chdir - rozsdniejszy sposb zmiany katalogw.

Perlowa funkcja chdir() jest problematyczna, poniewa dziaa bardzo,
bardzo, bardzo globalnie. Jeli dowolna cz programu lub dowolna
uywana biblioteka wywoa chdir(), zmienia si biecy katalog dla
caego programu.

File::chdir daje alternatyw - $CWD i @CWD. Te dwie zmienne cz ca
potg chdir(), File::Spec i Cwd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/File/chdir.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-chdir.spec,v $
Revision 1.3  2006/10/24 20:53:16  ankry
- C&P-able src URL

Revision 1.2  2005/08/27 07:42:16  qboosh
- pl

Revision 1.1  2005/08/19 19:06:06  arekm
- new
